=== debian/control ===
Source: ros-foxy-ublox-msgs
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ublox-serialization, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: http://ros.org/wiki/ublox
Standards-Version: 3.9.2

Package: ros-foxy-ublox-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-ublox-serialization, ros-foxy-ros-workspace
Description: ublox_msgs contains raw messages for u-blox GNSS devices.
